﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;

namespace TelerikMvcApp2.Controllers
{
    public class MyModel
    {
        public Guid ID { get; set; }
        public Guid SharePointSiteID { get; set; }
        public string SiteCollectionUrl { get; set; }
        public string PrincipalName { get; set; }

        public MyModel(Guid siteID, string siteUrl, string principalName)
        {
            this.SharePointSiteID = siteID;
            this.SiteCollectionUrl = siteUrl;
            this.PrincipalName = principalName;
        }
    }

    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        [HttpPost]
        public ActionResult GridRead(DataSourceRequest request)
        {
            return Json(CreateData().ToDataSourceResult(request));
        }

        private static List<MyModel> CreateData()
        {
            var siteID1 = Guid.NewGuid();
            var siteID2 = Guid.NewGuid();
            var l = new List<MyModel>()
            {
                new MyModel(siteID1, "http://mysp.com", "kyle"), 
                new MyModel(siteID1, "http://mysp.com", "joe"), 
                new MyModel(siteID1, "http://mysp.com", "billy"), 
                new MyModel(siteID1, "http://mysp.com", "carl"), 
                new MyModel(siteID2, "http://theirsp.com", "jeff"), 
                new MyModel(siteID2, "http://theirsp.com", "jonathan"), 
                new MyModel(siteID2, "http://theirsp.com", "damon"), 
                new MyModel(siteID2, "http://theirsp.com", "clayton")
            };

            return l;
        }
    }
}